package com.ssj.service.conch.game.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

public class SaveV2Req extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "gameRespondentId", value = "答题人id", required = true)
    @NotBlank
    private String gameRespondentId;

    @ApiModelProperty(name = "score", value = "分数", required = true)
    @NotNull
    @Min(0)
    private Double score;

    @ApiModelProperty(name = "spaceImagination", value = "空间想象", required = true)
    private Double spaceImagination;

    @ApiModelProperty(name = "executionFunctionality", value = "执行功能", required = true)
    private Double executionFunctionality;

    @ApiModelProperty(name = "visualSearch", value = "视觉搜索", required = true)
    private Double visualSearch;

    @ApiModelProperty(name = "workingMemory", value = "工作记忆", required = true)
    private Double workingMemory;

    @ApiModelProperty(name = "attention", value = "注意力", required = true)
    private Double attention;

    @ApiModelProperty(name = "relevantMemory", value = "关联记忆", required = true)
    private Double relevantMemory;

    @ApiModelProperty(name = "mentalRotation", value = "心理旋转", required = true)
    private Double mentalRotation;

    @ApiModelProperty(name = "graphicReasoning", value = "图形推理", required = true)
    private Double graphicReasoning;

    @ApiModelProperty(name = "appraisal", value = "评价", required = true)
    @NotBlank
    private String appraisal;

    @ApiModelProperty(name = "level", value = "关卡数", required = true)
    @NotNull
    private Integer level;

    public String getGameRespondentId() {
        return gameRespondentId;
    }

    public void setGameRespondentId(String gameRespondentId) {
        this.gameRespondentId = gameRespondentId;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Double getSpaceImagination() {
        return spaceImagination;
    }

    public void setSpaceImagination(Double spaceImagination) {
        this.spaceImagination = spaceImagination;
    }

    public Double getExecutionFunctionality() {
        return executionFunctionality;
    }

    public void setExecutionFunctionality(Double executionFunctionality) {
        this.executionFunctionality = executionFunctionality;
    }

    public Double getVisualSearch() {
        return visualSearch;
    }

    public void setVisualSearch(Double visualSearch) {
        this.visualSearch = visualSearch;
    }

    public Double getWorkingMemory() {
        return workingMemory;
    }

    public void setWorkingMemory(Double workingMemory) {
        this.workingMemory = workingMemory;
    }

    public Double getAttention() {
        return attention;
    }

    public void setAttention(Double attention) {
        this.attention = attention;
    }

    public Double getRelevantMemory() {
        return relevantMemory;
    }

    public void setRelevantMemory(Double relevantMemory) {
        this.relevantMemory = relevantMemory;
    }

    public Double getMentalRotation() {
        return mentalRotation;
    }

    public void setMentalRotation(Double mentalRotation) {
        this.mentalRotation = mentalRotation;
    }

    public Double getGraphicReasoning() {
        return graphicReasoning;
    }

    public void setGraphicReasoning(Double graphicReasoning) {
        this.graphicReasoning = graphicReasoning;
    }

    public String getAppraisal() {
        return appraisal;
    }

    public void setAppraisal(String appraisal) {
        this.appraisal = appraisal;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }
}
